Subject: bug#57781: missing wallpaper command

From: Thierry Volpiatto <[email-masked]>
Date: Fri, 16 Sep 2022 15:50:56 +0000

Stefan Kangas <[email-masked]> writes:

> Felix <[email-masked]> writes:
>
>> I'm switching back and forth from Xorg to wayland and I'm
>> tinkering with different desktops/WMs anyways.
>> I would be happy to help!
>> I will try wallpaper.el with gnome tomorrow.
>> If there are any things you want me
>> to test, just let me know.
>
> Thank you!  That offer to help is much appreciated.
>
> I know next to nothing about Wayland, but any testing you could do with
> Gnome, KDE and Sway is welcome.  Or anything else you think might be
> useful and worth doing, really.

Don't know if you already added a command for xfce, if not here is what
I use:

    (apply #'call-process "xfconf-query" nil nil nil
           `("-c"
            "xfce4-desktop" "-p"
            "/backdrop/screen0/monitoreDP/workspace0/last-image" "-s"
            ,file))

-- 
Thierry